ghc-7.8.4: The GHC API

Safe Haskell | None
Language | Haskell98

SPARC.CodeGen.Gen64

Description

Evaluation of 64 bit values on 32 bit platforms.

Synopsis

- assignMem_I64Code :: CmmExpr -> CmmExpr -> NatM InstrBlock
- assignReg_I64Code :: CmmReg -> CmmExpr -> NatM InstrBlock
- iselExpr64 :: CmmExpr -> NatM ChildCode64

# Documentation

assignMem_I64Code

Arguments

:: CmmExpr | expr producing the destination address
-> CmmExpr | expr producing the source value.
-> NatM InstrBlock |

Code to assign a 64 bit value to memory.

assignReg_I64Code

Arguments

:: CmmReg | the destination register
-> CmmExpr | expr producing the source value
-> NatM InstrBlock |

Code to assign a 64 bit value to a register.

iselExpr64 :: CmmExpr -> NatM ChildCode64

Get the value of an expression into a 64 bit register.